summaryrefslogtreecommitdiff
path: root/tests/touch/obsolescent
diff options
context:
space:
mode:
Diffstat (limited to 'tests/touch/obsolescent')
-rwxr-xr-xtests/touch/obsolescent60
1 files changed, 60 insertions, 0 deletions
diff --git a/tests/touch/obsolescent b/tests/touch/obsolescent
new file mode 100755
index 0000000..0f99210
--- /dev/null
+++ b/tests/touch/obsolescent
@@ -0,0 +1,60 @@
+#!/bin/sh
+# Test touch with obsolescent 8- or 10-digit time stamps.
+
+# Copyright (C) 2000, 2004, 2005, 2006 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+_POSIX2_VERSION=199209; export _POSIX2_VERSION
+POSIXLY_CORRECT=1; export POSIXLY_CORRECT
+
+if test "$VERBOSE" = yes; then
+ set -x
+ touch --version
+fi
+
+pwd=`pwd`
+tmp=obsol.$$
+trap 'status=$?; cd "$pwd" && rm -rf $tmp && exit $status' 0
+trap '(exit $?); exit' 1 2 13 15
+
+framework_failure=0
+mkdir $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo 'failure in testing framework'
+ (exit 1); exit 1
+fi
+
+fail=0
+
+yearstart=01010000
+
+for ones in 11111111 1111111111; do
+ for args in $ones "-- $ones" "$yearstart $ones" "-- $yearstart $ones"; do
+ touch $args || fail=1
+ test -f $ones || fail=1
+ test -f $yearstart && fail=1
+ rm -f $ones || fail=1
+ done
+done
+
+y2000=0101000000
+rm -f $y2000 file || fail=1
+touch $y2000 file && test -f $y2000 && test -f file || fail=1
+
+(exit $fail); exit $fail